There was a recent discussion (11/10/16) on the kde-devel mailing list that centered on this issue. It was/is titled "Dropping kdelibs4-based applications...